ScanerLedLight

com.rscja.deviceapi

## Class ScanerLedLight

- java.lang.Object
- - com.rscja.deviceapi.ScanerLedLight

-     public class ScanerLedLight
      extends java.lang.Object

  扫描LED灯控制类（仅C6000有效）
  Scanning LED light control type ( valid for C6000 only)
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerLedLight()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blink(Context context)` 亮0.5S后熄灭 light up for 0.5s then OFF
    `void` | `closeAuxiliaryLight(Context context)` 关闭扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only
    `void` | `free()` 释放设备资源 release device source
    `static ScanerLedLight` | `getInstance()` 获取LED灯操作实例 Acquire LED light operation example
    `void` | `init()` 初始化设备资源 initialize device source
    `boolean` | `isPowerOn()` 判断设备是否上电 Judge the device is powered on or not.
    `void` | `off(Context context)` 关闭LED灯 Switch off LED light
    `void` | `On(Context context)` 打开LED灯 Switch on LED light
    `void` | `openAuxiliaryLight(Context context)` 打开扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanerLedLight

          public ScanerLedLight()

  - ### Method Detail

    - #### getInstance

          public static ScanerLedLight getInstance()

      获取LED灯操作实例
      Acquire LED light operation example
      Returns:
        LED灯操作实例
        LED light operation example

    - #### init

          public void init()

      初始化设备资源
      initialize device source

    - #### free

          public void free()

      释放设备资源
      release device source

    - #### On

          public void On(Context context)

      打开LED灯
      Switch on LED light

    - #### off

          public void off(Context context)

      关闭LED灯
      Switch off LED light

    - #### blink

          public void blink(Context context)

      亮0.5S后熄灭
      light up for 0.5s then OFF

    - #### openAuxiliaryLight

          public void openAuxiliaryLight(Context context)

      打开扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only

    - #### closeAuxiliaryLight

          public void closeAuxiliaryLight(Context context)

      关闭扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only

    - #### isPowerOn

          public boolean isPowerOn()

      判断设备是否上电
      Judge the device is powered on or not.
      Returns: